geronimo-scm mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From conflue...@apache.org
Subject [CONF] Apache Geronimo v2.1 > How to install Geronimo Eclipse Plugin v2.1.5
Date Tue, 27 Apr 2010 11:06:00 GMT
<html>
<head>
    <base href="http://cwiki.apache.org/confluence">
            <link rel="stylesheet" href="/confluence/s/1810/1/1/_/styles/combined.css?spaceKey=GMOxDOC21&amp;forWysiwyg=true" type="text/css">
    </head>
<body style="background: white;" bgcolor="white" class="email-body">
<div id="pageContent">
<div id="notificationFormat">
<div class="wiki-content">
<div class="email">
    <h2><a href="http://cwiki.apache.org/confluence/display/GMOxDOC21/How+to+install+Geronimo+Eclipse+Plugin+v2.1.5">How to install Geronimo Eclipse Plugin v2.1.5</a></h2>
    <h4>Page <b>edited</b> by             <a href="http://cwiki.apache.org/confluence/display/~daition@gmail.com">delos</a>
    </h4>
        <br/>
                         <h4>Changes (15)</h4>
                                 
    
<div id="page-diffs">
            <table class="diff" cellpadding="0" cellspacing="0">
            <tr><td class="diff-snipped" >...<br></td></tr>
            <tr><td class="diff-unchanged" >\\ <br>\\ <br></td></tr>
            <tr><td class="diff-changed-lines" ><span class="diff-changed-words">!figure2.png!<span class="diff-added-chars"style="background-color: #dfd;">{scrollbar}</span></span> <br></td></tr>
            <tr><td class="diff-added-lines" style="background-color: #dfd;">We will be using Eclipse Ganymede and Sun JDK 6.0\+ for the illustration. Geronimo Eclipse Plugin (GEP) can be installed using the following options: <br>{toc} <br>This page describes how to install the current release of the GEP.  For information about installing previous releases, see <br>{children:sort=title|reverse=true} <br>or [this page|http://geronimo.apache.org/development-tools.html#DevelopmentTools-PreviousReleases] for other releases. <br>{tip} <br> <br>Note that with v2.1.3, the v2.1 Geronimo server adapter feature provides server adapters for both the v2.0.x and v2.1.x Geronino servers. Previously, v2.0.x and v2.1.x server adapaters were provided by separate features. Partly to simplify things, these features were combined into one. <br>{tip} <br> <br>h1. Prerequisites{anchor:Prereqs} <br></td></tr>
            <tr><td class="diff-unchanged" >\\ <br></td></tr>
            <tr><td class="diff-unchanged" > <br></td></tr>
            <tr><td class="diff-added-lines" style="background-color: #dfd;">* Java J2SE 1.5.0 or greater <br> <br>* Eclipse IDE for Java EE Developers (Galileo (Eclipse 3.5) or Ganymede (Eclipse 3.4)) <br>** [Eclipse Galileo Download|http://www.eclipse.org/downloads/packages/] <br>** [Eclipse Ganymede Download|http://www.eclipse.org/downloads/packages/release/ganymede/sr2] <br> <br>* Apache Geronimo 2.0.x,&amp;nbsp; 2.1.x server <br>** [Apache Geronimo downloads|http://geronimo.apache.org/downloads.html] <br> <br>See [PLUGIN_RELEASE-NOTES-2.1.5.txt|http://people.apache.org/dist/geronimo/eclipse/PLUGIN_RELEASE-NOTES-2.1.5.txt] for additional details. <br> <br>h1. Installing GEP within WTP <br> <br># Once you have all the [#Prerequisites] installed, launch Eclipse from &lt;Eclipse_Home&gt;/eclipse. <br># By default Eclipse will be launched with Java EE perspective. <br># Select the servers tab as shown in the figure and select New-&gt;Server. <br> <br> <br> !figure1.png! <br> <br> <br># On the next screen select *Download Additional Server Adapters* as shown in the figure. <br> <br> <br> !figure2.png! <br> <br> <br></td></tr>
            <tr><td class="diff-unchanged" ># Select *Geronimo V2.1 Server Adapter* v2.1.5 adapter and select Next. <br></td></tr>
            <tr><td class="diff-added-lines" style="background-color: #dfd;"> <br> !Screenshot-Install New Extension -1.png|border=1,width=506,height=461! <br> <br> <br> <br># Accept the license agreement and select Finish. <br> <br> <br> !figure4.png! <br> <br> <br># Next screen will ask for confirmation. Select Ok. Once done Geronimo V2.1.5 server adapter will be downloaded and installed. <br> <br> <br> !Screenshot-Install -1.png|border=1,width=359,height=281! <br> <br># Once the adapter is installed you will be prompted to restart the server. Select Yes. <br> <br> <br> !figure6.png! <br> <br>h1. Installing GEP using Eclipse update manager <br> <br>(*y) A video desktop demonstration of [Installing the Apache Geronimo Eclipse Plugin with the Eclipse Update Manager|http://cwiki.apache.org/GMOxDOC22/video-of-installing-gep-with-eclipse-update-manager.html] is available. <br># Once you have all the prerequisites installed. Launch Eclipse from &lt;Eclipse_Home&gt;/eclipse. <br># By default Eclipse will be launched with Java EE perspective. <br># Select *Help-&gt;Software Updates..* from the menu. <br> <br> <br> !updateManager.png|border=1,width=475,height=242! <br> <br> <br># On the next screen select *Available Software* tab. Select *Add Site*. <br> !Screenshot-Install .png|border=1,width=459,height=446! <br> <br> <br># Copy and paste the following site to *Add Site* window and Select *Ok*. <br> <br> <br> <br>{code:html} <br>http://apache.org/dist/geronimo/eclipse/updates/ <br>{code} <br>!Screenshot-Add Site .png|border=1,width=331,height=130! <br> <br> <br># Expand [http://apache.org/dist/geronimo/eclipse/updates/] and Select *Geronimo v2.1.5 Server Adapter* v2.1.5. <br> <br> <br> !Screenshot-Install -5.png|border=1,width=433,height=420! <br> <br> <br># Once done you have to wait a few seconds while Eclipse resolves dependencies. <br> <br> <br># Once done, the *Install* window will pop up. Select *Next* <br># Accept the license and Select *Finish*. <br> <br> <br> <br> <br># Installation will start and will take time few minutes. A progress window will display the jars being installed. <br> <br> <br> !figure14.png! <br> <br> <br># Once GEP is installed you will be prompted to restart. Select yes. <br> !figure15.png! <br> <br>h1. Manual Installation <br> <br>h2. Using updatesite.zip <br> <br># Download the package *geronimo-eclipse-plugin-2.1.5-updatesite.zip* from [http://apache.org/dist/geronimo/eclipse/2.1.5/]. <br># Once done, unzip the package to a directory on your machine. <br># Follow the instructions in [#Installing GEP using Eclipse update manager] section.  When adding a an update site in step 5, choose *Local*, and navigate to the directory where you unzipped the updatesite.zip package in the previous step. <br> <br>h2. Using deployable.zip <br> <br># Download the package *geronimo-eclipse-plugin-2.1.5-deployable.zip* from [http://apache.org/dist/geronimo/eclipse/2.1.5/]. <br># Once done, unzip the package to your eclipse installation directory. For Ganymede, unzip to the eclipse/dropins directory. You may get a prompt regarding file replacement. Select All. <br># Restart eclipse with the \-clean option. <br> <br>h1. Verify GEP installation <br> <br># Select Help-&gt;About Eclipse Platform. <br> <br> <br> !about.png|border=1,width=414,height=213! <br> <br> <br># You can see a *G* icon in the *About Eclipse Platform*. This confirms the successful installation of GEP. Click the icon. <br> <br> <br> !Screenshot-About Eclipse .png|border=1,width=347,height=225! <br> <br> <br># On the next screen you can view details\- License, Plug-in-Details and set the Columns of the table being displayed. <br> <br> <br> !Screenshot-About Eclipse Features .png|border=1,width=519,height=597! <br> <br>h1. Uninstalling GEP <br> <br>GEP may be uninstalled in a similar manner in which it was installed. <br>{note} <br> <br>Uninstall does not work well on Ganymede and Galileo, especially for GEP. It will uninstall GEP, but then you can&#39;t reinstall it, as it doesn&#39;t really get uninstalled. The only way to reinstall GEP in Ganymede is to reinstall Ganymede itself\! It&#39;s the same for Galileo. See [Eclipse Bugzilla 244935|https://bugs.eclipse.org/bugs/show_bug.cgi?id=244935] for details, and hopefully a fix soon\! <br>{note}\\ <br># Select *Geronimo V2.1 Server Adapter* v2.1.5 adapter and select Next. <br></td></tr>
            <tr><td class="diff-unchanged" >\\ <br></td></tr>
            <tr><td class="diff-unchanged" >\\  !Screenshot-Install New Extension -1.png|border=1,width=506,height=461!\\ <br></td></tr>
            <tr><td class="diff-unchanged" >\\ <br>\\ <br>\\ <br></td></tr>
            <tr><td class="diff-deleted-lines" style="color:#999;background-color:#fdd;text-decoration:line-through;">\\ <br></td></tr>
            <tr><td class="diff-unchanged" ># Accept the license agreement and select Finish. <br>\\ <br></td></tr>
            <tr><td class="diff-snipped" >...<br></td></tr>
            <tr><td class="diff-unchanged" >\\ <br>\\ <br></td></tr>
            <tr><td class="diff-unchanged" >\\  !Screenshot-Install -5.png|border=1,width=433,height=420!\\ <br></td></tr>
            <tr><td class="diff-unchanged" >\\ <br>\\ <br></td></tr>
            <tr><td class="diff-deleted-lines" style="color:#999;background-color:#fdd;text-decoration:line-through;">\\ <br></td></tr>
            <tr><td class="diff-unchanged" ># Once done you have to wait a few seconds while Eclipse resolves dependencies. <br>\\ <br>\\ <br>\\ <br></td></tr>
            <tr><td class="diff-changed-lines" ># Once done, the *Install* window will pop up. Select <span class="diff-changed-words">*Next*<span class="diff-deleted-chars"style="color:#999;background-color:#fdd;text-decoration:line-through;">.</span></span> <br></td></tr>
            <tr><td class="diff-deleted-lines" style="color:#999;background-color:#fdd;text-decoration:line-through;">\\ <br>\\ <br></td></tr>
            <tr><td class="diff-unchanged" > <br></td></tr>
            <tr><td class="diff-deleted-lines" style="color:#999;background-color:#fdd;text-decoration:line-through;"> <br>\\ <br>\\ <br>\\ <br>\\ <br></td></tr>
            <tr><td class="diff-added-lines" style="background-color: #dfd;">!Screenshot-Install .png|border=1,width=441,height=428! <br></td></tr>
            <tr><td class="diff-unchanged" ># Accept the license and Select *Finish*. <br>\\ <br></td></tr>
            <tr><td class="diff-deleted-lines" style="color:#999;background-color:#fdd;text-decoration:line-through;">\\  !Screenshot-Install .png|border=1!\\ <br></td></tr>
            <tr><td class="diff-added-lines" style="background-color: #dfd;">\\  !Screenshot-Install -2.png|border=1,width=416,height=403! <br></td></tr>
            <tr><td class="diff-unchanged" >\\ <br>\\ <br></td></tr>
            <tr><td class="diff-added-lines" style="background-color: #dfd;">\\ <br></td></tr>
            <tr><td class="diff-unchanged" ># Installation will start and will take time few minutes. A progress window will display the jars being installed. <br>\\ <br></td></tr>
            <tr><td class="diff-snipped" >...<br></td></tr>
            <tr><td class="diff-unchanged" ># On the next screen you can view details\- License, Plug-in-Details and set the Columns of the table being displayed. <br>\\ <br></td></tr>
            <tr><td class="diff-added-lines" style="background-color: #dfd;">\\ !Screenshot-About Eclipse Features .png|border=1,width=428,height=492! <br></td></tr>
            <tr><td class="diff-unchanged" >\\ <br></td></tr>
            <tr><td class="diff-deleted-lines" style="color:#999;background-color:#fdd;text-decoration:line-through;">\\  !Screenshot-About Eclipse Features .png|border=1,width=519,height=597! <br></td></tr>
            <tr><td class="diff-unchanged" > <br>h1. Uninstalling GEP <br></td></tr>
            <tr><td class="diff-snipped" >...<br></td></tr>
        </table>
</div>                            <h4>Full Content</h4>
                    <div class="notificationGreySide">
        <style type='text/css'>/*<![CDATA[*/
table.ScrollbarTable  {border: none;padding: 3px;width: 100%;padding: 3px;margin: 0px;background-color: #f0f0f0}
table.ScrollbarTable td.ScrollbarPrevIcon {text-align: center;width: 16px;border: none;}
table.ScrollbarTable td.ScrollbarPrevName {text-align: left;border: none;}
table.ScrollbarTable td.ScrollbarParent {text-align: center;border: none;}
table.ScrollbarTable td.ScrollbarNextName {text-align: right;border: none;}
table.ScrollbarTable td.ScrollbarNextIcon {text-align: center;width: 16px;border: none;}

/*]]>*/</style><div class="Scrollbar"><table class='ScrollbarTable'><tr><td class='ScrollbarPrevIcon'><a href="/confluence/display/GMOxDOC21/How+to+get+daily+Geronimo+Eclipse+Plugin+builds"><img border='0' align='middle' src='/confluence/images/icons/back_16.gif' width='16' height='16'></a></td><td width='33%' class='ScrollbarPrevName'><a href="/confluence/display/GMOxDOC21/How+to+get+daily+Geronimo+Eclipse+Plugin+builds">How to get daily Geronimo Eclipse Plugin builds</a>&nbsp;</td><td width='33%' class='ScrollbarParent'><sup><a href="/confluence/display/GMOxDOC21/Apache+Geronimo+Development+Tools+Project"><img border='0' align='middle' src='/confluence/images/icons/up_16.gif' width='8' height='8'></a></sup><a href="/confluence/display/GMOxDOC21/Apache+Geronimo+Development+Tools+Project">Apache Geronimo Development Tools Project</a></td><td width='33%' class='ScrollbarNextName'>&nbsp;<a href="/confluence/display/GMOxDOC21/How+to+open+a+bug+for+Geronimo+Eclipse+Plugin">How to open a bug for Geronimo Eclipse Plugin</a></td><td class='ScrollbarNextIcon'><a href="/confluence/display/GMOxDOC21/How+to+open+a+bug+for+Geronimo+Eclipse+Plugin"><img border='0' align='middle' src='/confluence/images/icons/forwd_16.gif' width='16' height='16'></a></td></tr></table></div>
<p>We will be using Eclipse Ganymede and Sun JDK 6.0&#43; for the illustration. Geronimo Eclipse Plugin (GEP) can be installed using the following options:</p>
<div>
<ul>
    <li><a href='#HowtoinstallGeronimoEclipsePluginv2.1.5-Prerequisites'>Prerequisites </a></li>
    <li><a href='#HowtoinstallGeronimoEclipsePluginv2.1.5-InstallingGEPwithinWTP'>Installing GEP within WTP</a></li>
    <li><a href='#HowtoinstallGeronimoEclipsePluginv2.1.5-Prerequisites'>Prerequisites </a></li>
    <li><a href='#HowtoinstallGeronimoEclipsePluginv2.1.5-InstallingGEPwithinWTP'>Installing GEP within WTP</a></li>
    <li><a href='#HowtoinstallGeronimoEclipsePluginv2.1.5-InstallingGEPusingEclipseupdatemanager'>Installing GEP using Eclipse update manager</a></li>
    <li><a href='#HowtoinstallGeronimoEclipsePluginv2.1.5-ManualInstallation'>Manual Installation</a></li>
<ul>
    <li><a href='#HowtoinstallGeronimoEclipsePluginv2.1.5-Usingupdatesite.zip'>Using updatesite.zip</a></li>
    <li><a href='#HowtoinstallGeronimoEclipsePluginv2.1.5-Usingdeployable.zip'>Using deployable.zip</a></li>
</ul>
    <li><a href='#HowtoinstallGeronimoEclipsePluginv2.1.5-VerifyGEPinstallation'>Verify GEP installation</a></li>
    <li><a href='#HowtoinstallGeronimoEclipsePluginv2.1.5-UninstallingGEP'>Uninstalling GEP</a></li>
    <li><a href='#HowtoinstallGeronimoEclipsePluginv2.1.5-InstallingGEPusingEclipseupdatemanager'>Installing GEP using Eclipse update manager</a></li>
    <li><a href='#HowtoinstallGeronimoEclipsePluginv2.1.5-ManualInstallation'>Manual Installation</a></li>
<ul>
    <li><a href='#HowtoinstallGeronimoEclipsePluginv2.1.5-Usingupdatesite.zip'>Using updatesite.zip</a></li>
    <li><a href='#HowtoinstallGeronimoEclipsePluginv2.1.5-Usingdeployable.zip'>Using deployable.zip</a></li>
</ul>
    <li><a href='#HowtoinstallGeronimoEclipsePluginv2.1.5-VerifyGEPinstallation'>Verify GEP installation</a></li>
    <li><a href='#HowtoinstallGeronimoEclipsePluginv2.1.5-UninstallingGEP'>Uninstalling GEP</a></li>
</ul></div>
<p>This page describes how to install the current release of the GEP.  For information about installing previous releases, see</p>
<ul><li><a href="/confluence/display/GMOxDOC21/PLUGIN_RELEASE-NOTES-2.1.4.txt" title="PLUGIN_RELEASE-NOTES-2.1.4.txt">PLUGIN_RELEASE-NOTES-2.1.4.txt</a></li><li><a href="/confluence/display/GMOxDOC21/How+to+install+Geronimo+Eclipse+Plugin+v2.1.3+or+v2.1.4" title="How to install Geronimo Eclipse Plugin v2.1.3 or v2.1.4">How to install Geronimo Eclipse Plugin v2.1.3 or v2.1.4</a></li><li><a href="/confluence/display/GMOxDOC21/How+to+install+Geronimo+Eclipse+Plugin+v2.1.2" title="How to install Geronimo Eclipse Plugin v2.1.2">How to install Geronimo Eclipse Plugin v2.1.2</a></li><li><a href="/confluence/display/GMOxDOC21/How+to+install+Geronimo+Eclipse+Plugin+v2.1.0" title="How to install Geronimo Eclipse Plugin v2.1.0">How to install Geronimo Eclipse Plugin v2.1.0</a></li></ul>
<p>or <a href="http://geronimo.apache.org/development-tools.html#DevelopmentTools-PreviousReleases" class="external-link" rel="nofollow">this page</a> for other releases.</p>
<div class='panelMacro'><table class='tipMacro'><colgroup><col width='24'><col></colgroup><tr><td valign='top'><img src="/confluence/images/icons/emoticons/check.gif" width="16" height="16" align="absmiddle" alt="" border="0"></td><td>Note that with v2.1.3, the v2.1 Geronimo server adapter feature provides server adapters for both the v2.0.x and v2.1.x Geronino servers.  Previously, v2.0.x and v2.1.x server adapaters were provided by separate features.  Partly to simplify things, these features were combined into one.</td></tr></table></div>

<h1><a name="HowtoinstallGeronimoEclipsePluginv2.1.5-Prerequisites"></a>Prerequisites <a name="HowtoinstallGeronimoEclipsePluginv2.1.5-Prereqs"></a></h1>

<ul>
	<li>Java J2SE 1.5.0 or greater</li>
</ul>


<ul>
	<li>Eclipse IDE for Java EE Developers (Galileo (Eclipse 3.5) or Ganymede (Eclipse 3.4))
	<ul>
		<li><a href="http://www.eclipse.org/downloads/packages/" class="external-link" rel="nofollow">Eclipse Galileo Download</a></li>
		<li><a href="http://www.eclipse.org/downloads/packages/release/ganymede/sr2" class="external-link" rel="nofollow">Eclipse Ganymede Download</a></li>
	</ul>
	</li>
</ul>


<ul>
	<li>Apache Geronimo 2.0.x,&nbsp; 2.1.x server
	<ul>
		<li><a href="http://geronimo.apache.org/downloads.html" class="external-link" rel="nofollow">Apache Geronimo downloads</a></li>
	</ul>
	</li>
</ul>


<p>See <a href="http://people.apache.org/dist/geronimo/eclipse/PLUGIN_RELEASE-NOTES-2.1.5.txt" class="external-link" rel="nofollow">PLUGIN_RELEASE-NOTES-2.1.5.txt</a> for additional details.</p>

<h1><a name="HowtoinstallGeronimoEclipsePluginv2.1.5-InstallingGEPwithinWTP"></a>Installing GEP within WTP</h1>

<ol>
	<li>Once you have all the <a href="#HowtoinstallGeronimoEclipsePluginv2.1.5-Prerequisites">Prerequisites</a> installed, launch Eclipse from &lt;Eclipse_Home&gt;/eclipse.</li>
	<li>By default Eclipse will be launched with Java EE perspective.</li>
	<li>Select the servers tab as shown in the figure and select New-&gt;Server.
<br class="atl-forced-newline" />
<br class="atl-forced-newline" />
<br class="atl-forced-newline" />  <span class="image-wrap" style=""><img src="/confluence/download/attachments/96518/figure1.png?version=1&amp;modificationDate=1220551791000" style="border: 0px solid black" /></span><br class="atl-forced-newline" />
<br class="atl-forced-newline" />
<br class="atl-forced-newline" /></li>
	<li>On the next screen select <b>Download Additional Server Adapters</b> as shown in the figure.
<br class="atl-forced-newline" />
<br class="atl-forced-newline" />
<br class="atl-forced-newline" />  !figure2.png!<style type='text/css'>/*<![CDATA[*/
table.ScrollbarTable  {border: none;padding: 3px;width: 100%;padding: 3px;margin: 0px;background-color: #f0f0f0}
table.ScrollbarTable td.ScrollbarPrevIcon {text-align: center;width: 16px;border: none;}
table.ScrollbarTable td.ScrollbarPrevName {text-align: left;border: none;}
table.ScrollbarTable td.ScrollbarParent {text-align: center;border: none;}
table.ScrollbarTable td.ScrollbarNextName {text-align: right;border: none;}
table.ScrollbarTable td.ScrollbarNextIcon {text-align: center;width: 16px;border: none;}

/*]]>*/</style><div class="Scrollbar"><table class='ScrollbarTable'><tr><td class='ScrollbarPrevIcon'><a href="/confluence/display/GMOxDOC21/How+to+get+daily+Geronimo+Eclipse+Plugin+builds"><img border='0' align='middle' src='/confluence/images/icons/back_16.gif' width='16' height='16'></a></td><td width='33%' class='ScrollbarPrevName'><a href="/confluence/display/GMOxDOC21/How+to+get+daily+Geronimo+Eclipse+Plugin+builds">How to get daily Geronimo Eclipse Plugin builds</a>&nbsp;</td><td width='33%' class='ScrollbarParent'><sup><a href="/confluence/display/GMOxDOC21/Apache+Geronimo+Development+Tools+Project"><img border='0' align='middle' src='/confluence/images/icons/up_16.gif' width='8' height='8'></a></sup><a href="/confluence/display/GMOxDOC21/Apache+Geronimo+Development+Tools+Project">Apache Geronimo Development Tools Project</a></td><td width='33%' class='ScrollbarNextName'>&nbsp;<a href="/confluence/display/GMOxDOC21/How+to+open+a+bug+for+Geronimo+Eclipse+Plugin">How to open a bug for Geronimo Eclipse Plugin</a></td><td class='ScrollbarNextIcon'><a href="/confluence/display/GMOxDOC21/How+to+open+a+bug+for+Geronimo+Eclipse+Plugin"><img border='0' align='middle' src='/confluence/images/icons/forwd_16.gif' width='16' height='16'></a></td></tr></table></div><br/>
We will be using Eclipse Ganymede and Sun JDK 6.0&#43; for the illustration. Geronimo Eclipse Plugin (GEP) can be installed using the following options:
<div>
<ul>
    <li><a href='#HowtoinstallGeronimoEclipsePluginv2.1.5-Prerequisites'>Prerequisites </a></li>
    <li><a href='#HowtoinstallGeronimoEclipsePluginv2.1.5-InstallingGEPwithinWTP'>Installing GEP within WTP</a></li>
    <li><a href='#HowtoinstallGeronimoEclipsePluginv2.1.5-Prerequisites'>Prerequisites </a></li>
    <li><a href='#HowtoinstallGeronimoEclipsePluginv2.1.5-InstallingGEPwithinWTP'>Installing GEP within WTP</a></li>
    <li><a href='#HowtoinstallGeronimoEclipsePluginv2.1.5-InstallingGEPusingEclipseupdatemanager'>Installing GEP using Eclipse update manager</a></li>
    <li><a href='#HowtoinstallGeronimoEclipsePluginv2.1.5-ManualInstallation'>Manual Installation</a></li>
<ul>
    <li><a href='#HowtoinstallGeronimoEclipsePluginv2.1.5-Usingupdatesite.zip'>Using updatesite.zip</a></li>
    <li><a href='#HowtoinstallGeronimoEclipsePluginv2.1.5-Usingdeployable.zip'>Using deployable.zip</a></li>
</ul>
    <li><a href='#HowtoinstallGeronimoEclipsePluginv2.1.5-VerifyGEPinstallation'>Verify GEP installation</a></li>
    <li><a href='#HowtoinstallGeronimoEclipsePluginv2.1.5-UninstallingGEP'>Uninstalling GEP</a></li>
    <li><a href='#HowtoinstallGeronimoEclipsePluginv2.1.5-InstallingGEPusingEclipseupdatemanager'>Installing GEP using Eclipse update manager</a></li>
    <li><a href='#HowtoinstallGeronimoEclipsePluginv2.1.5-ManualInstallation'>Manual Installation</a></li>
<ul>
    <li><a href='#HowtoinstallGeronimoEclipsePluginv2.1.5-Usingupdatesite.zip'>Using updatesite.zip</a></li>
    <li><a href='#HowtoinstallGeronimoEclipsePluginv2.1.5-Usingdeployable.zip'>Using deployable.zip</a></li>
</ul>
    <li><a href='#HowtoinstallGeronimoEclipsePluginv2.1.5-VerifyGEPinstallation'>Verify GEP installation</a></li>
    <li><a href='#HowtoinstallGeronimoEclipsePluginv2.1.5-UninstallingGEP'>Uninstalling GEP</a></li>
</ul></div>
<p>This page describes how to install the current release of the GEP.  For information about installing previous releases, see</p>
<ul><li><a href="/confluence/display/GMOxDOC21/PLUGIN_RELEASE-NOTES-2.1.4.txt" title="PLUGIN_RELEASE-NOTES-2.1.4.txt">PLUGIN_RELEASE-NOTES-2.1.4.txt</a></li><li><a href="/confluence/display/GMOxDOC21/How+to+install+Geronimo+Eclipse+Plugin+v2.1.3+or+v2.1.4" title="How to install Geronimo Eclipse Plugin v2.1.3 or v2.1.4">How to install Geronimo Eclipse Plugin v2.1.3 or v2.1.4</a></li><li><a href="/confluence/display/GMOxDOC21/How+to+install+Geronimo+Eclipse+Plugin+v2.1.2" title="How to install Geronimo Eclipse Plugin v2.1.2">How to install Geronimo Eclipse Plugin v2.1.2</a></li><li><a href="/confluence/display/GMOxDOC21/How+to+install+Geronimo+Eclipse+Plugin+v2.1.0" title="How to install Geronimo Eclipse Plugin v2.1.0">How to install Geronimo Eclipse Plugin v2.1.0</a></li></ul>
<p>or <a href="http://geronimo.apache.org/development-tools.html#DevelopmentTools-PreviousReleases" class="external-link" rel="nofollow">this page</a> for other releases.</p>
<div class='panelMacro'><table class='tipMacro'><colgroup><col width='24'><col></colgroup><tr><td valign='top'><img src="/confluence/images/icons/emoticons/check.gif" width="16" height="16" align="absmiddle" alt="" border="0"></td><td>Note that with v2.1.3, the v2.1 Geronimo server adapter feature provides server adapters for both the v2.0.x and v2.1.x Geronino servers. Previously, v2.0.x and v2.1.x server adapaters were provided by separate features. Partly to simplify things, these features were combined into one.</td></tr></table></div></li>
</ol>


<h1><a name="HowtoinstallGeronimoEclipsePluginv2.1.5-Prerequisites"></a>Prerequisites<a name="HowtoinstallGeronimoEclipsePluginv2.1.5-Prereqs"></a></h1>
<p><br class="atl-forced-newline" /></p>

<ul>
	<li>Java J2SE 1.5.0 or greater</li>
</ul>


<ul>
	<li>Eclipse IDE for Java EE Developers (Galileo (Eclipse 3.5) or Ganymede (Eclipse 3.4))
	<ul>
		<li><a href="http://www.eclipse.org/downloads/packages/" class="external-link" rel="nofollow">Eclipse Galileo Download</a></li>
		<li><a href="http://www.eclipse.org/downloads/packages/release/ganymede/sr2" class="external-link" rel="nofollow">Eclipse Ganymede Download</a></li>
	</ul>
	</li>
</ul>


<ul>
	<li>Apache Geronimo 2.0.x,&nbsp; 2.1.x server
	<ul>
		<li><a href="http://geronimo.apache.org/downloads.html" class="external-link" rel="nofollow">Apache Geronimo downloads</a></li>
	</ul>
	</li>
</ul>


<p>See <a href="http://people.apache.org/dist/geronimo/eclipse/PLUGIN_RELEASE-NOTES-2.1.5.txt" class="external-link" rel="nofollow">PLUGIN_RELEASE-NOTES-2.1.5.txt</a> for additional details.</p>

<h1><a name="HowtoinstallGeronimoEclipsePluginv2.1.5-InstallingGEPwithinWTP"></a>Installing GEP within WTP</h1>

<ol>
	<li>Once you have all the <a href="#HowtoinstallGeronimoEclipsePluginv2.1.5-Prerequisites">Prerequisites</a> installed, launch Eclipse from &lt;Eclipse_Home&gt;/eclipse.</li>
	<li>By default Eclipse will be launched with Java EE perspective.</li>
	<li>Select the servers tab as shown in the figure and select New-&gt;Server.</li>
</ol>



<p> <span class="image-wrap" style=""><img src="/confluence/download/attachments/96518/figure1.png?version=1&amp;modificationDate=1220551791000" style="border: 0px solid black" /></span></p>


<ol>
	<li>On the next screen select <b>Download Additional Server Adapters</b> as shown in the figure.</li>
</ol>



<p> <span class="image-wrap" style=""><img src="/confluence/download/attachments/96518/figure2.png?version=1&amp;modificationDate=1220551791000" style="border: 0px solid black" /></span></p>


<ol>
	<li>Select <b>Geronimo V2.1 Server Adapter</b> v2.1.5 adapter and select Next.</li>
</ol>


<p> <span class="image-wrap" style=""><img src="/confluence/download/attachments/96518/Screenshot-Install+New+Extension+-1.png?version=1&amp;modificationDate=1272360775365" height="461" width="506" style="border: 1px solid black" /></span></p>



<ol>
	<li>Accept the license agreement and select Finish.</li>
</ol>



<p> <span class="image-wrap" style=""><img src="/confluence/download/attachments/96518/figure4.png?version=1&amp;modificationDate=1220551768000" style="border: 0px solid black" /></span></p>


<ol>
	<li>Next screen will ask for confirmation. Select Ok. Once done Geronimo V2.1.5 server adapter will be downloaded and installed.</li>
</ol>



<p> <span class="image-wrap" style=""><img src="/confluence/download/attachments/96518/Screenshot-Install+-1.png?version=2&amp;modificationDate=1272362173537" height="281" width="359" style="border: 1px solid black" /></span></p>

<ol>
	<li>Once the adapter is installed you will be prompted to restart the server. Select Yes.</li>
</ol>



<p> <span class="image-wrap" style=""><img src="/confluence/download/attachments/96518/figure6.png?version=1&amp;modificationDate=1220551768000" style="border: 0px solid black" /></span></p>

<h1><a name="HowtoinstallGeronimoEclipsePluginv2.1.5-InstallingGEPusingEclipseupdatemanager"></a>Installing GEP using Eclipse update manager</h1>

<p><img class="emoticon" src="/confluence/images/icons/emoticons/star_yellow.gif" height="16" width="16" align="absmiddle" alt="" border="0"/> A video desktop demonstration of <a href="http://cwiki.apache.org/GMOxDOC22/video-of-installing-gep-with-eclipse-update-manager.html" class="external-link" rel="nofollow">Installing the Apache Geronimo Eclipse Plugin with the Eclipse Update Manager</a> is available.</p>
<ol>
	<li>Once you have all the prerequisites installed. Launch Eclipse from &lt;Eclipse_Home&gt;/eclipse.</li>
	<li>By default Eclipse will be launched with Java EE perspective.</li>
	<li>Select <b>Help-&gt;Software Updates..</b> from the menu.</li>
</ol>



<p> <span class="image-wrap" style=""><img src="/confluence/download/attachments/96518/updateManager.png?version=1&amp;modificationDate=1272356740152" height="242" width="475" style="border: 1px solid black" /></span></p>


<ol>
	<li>On the next screen select <b>Available Software</b> tab. Select <b>Add Site</b>.<br/>
 <span class="image-wrap" style=""><img src="/confluence/download/attachments/96518/Screenshot-Install+.png?version=2&amp;modificationDate=1272362352446" height="446" width="459" style="border: 1px solid black" /></span></li>
</ol>



<ol>
	<li>Copy and paste the following site to <b>Add Site</b> window and Select <b>Ok</b>.</li>
</ol>




<div class="code panel" style="border-width: 1px;"><div class="codeContent panelContent">
<pre class="code-html">http://apache.org/dist/geronimo/eclipse/updates/
</pre>
</div></div>
<p><span class="image-wrap" style=""><img src="/confluence/download/attachments/96518/Screenshot-Add+Site+.png?version=1&amp;modificationDate=1272357251051" height="130" width="331" style="border: 1px solid black" /></span></p>


<ol>
	<li>Expand <a href="http://apache.org/dist/geronimo/eclipse/updates/" class="external-link" rel="nofollow">http://apache.org/dist/geronimo/eclipse/updates/</a> and Select <b>Geronimo v2.1.5 Server Adapter</b> v2.1.5.</li>
</ol>



<p> <span class="image-wrap" style=""><img src="/confluence/download/attachments/96518/Screenshot-Install+-5.png?version=1&amp;modificationDate=1272362240885" height="420" width="433" style="border: 1px solid black" /></span></p>


<ol>
	<li>Once done you have to wait a few seconds while Eclipse resolves dependencies.</li>
</ol>



<ol>
	<li>Once done, the <b>Install</b> window will pop up. Select <b>Next</b></li>
	<li>Accept the license and Select <b>Finish</b>.</li>
</ol>





<ol>
	<li>Installation will start and will take time few minutes. A progress window will display the jars being installed.</li>
</ol>



<p> <span class="image-wrap" style=""><img src="/confluence/download/attachments/96518/figure14.png?version=1&amp;modificationDate=1220551683000" style="border: 0px solid black" /></span></p>


<ol>
	<li>Once GEP is installed you will be prompted to restart. Select yes.<br/>
 <span class="image-wrap" style=""><img src="/confluence/download/attachments/96518/figure15.png?version=1&amp;modificationDate=1220551683000" style="border: 0px solid black" /></span></li>
</ol>


<h1><a name="HowtoinstallGeronimoEclipsePluginv2.1.5-ManualInstallation"></a>Manual Installation</h1>

<h2><a name="HowtoinstallGeronimoEclipsePluginv2.1.5-Usingupdatesite.zip"></a>Using updatesite.zip</h2>

<ol>
	<li>Download the package <b>geronimo-eclipse-plugin-2.1.5-updatesite.zip</b> from <a href="http://apache.org/dist/geronimo/eclipse/2.1.5/" class="external-link" rel="nofollow">http://apache.org/dist/geronimo/eclipse/2.1.5/</a>.</li>
	<li>Once done, unzip the package to a directory on your machine.</li>
	<li>Follow the instructions in <a href="#HowtoinstallGeronimoEclipsePluginv2.1.5-InstallingGEPusingEclipseupdatemanager">Installing GEP using Eclipse update manager</a> section.  When adding a an update site in step 5, choose <b>Local</b>, and navigate to the directory where you unzipped the updatesite.zip package in the previous step.</li>
</ol>


<h2><a name="HowtoinstallGeronimoEclipsePluginv2.1.5-Usingdeployable.zip"></a>Using deployable.zip</h2>

<ol>
	<li>Download the package <b>geronimo-eclipse-plugin-2.1.5-deployable.zip</b> from <a href="http://apache.org/dist/geronimo/eclipse/2.1.5/" class="external-link" rel="nofollow">http://apache.org/dist/geronimo/eclipse/2.1.5/</a>.</li>
	<li>Once done, unzip the package to your eclipse installation directory. For Ganymede, unzip to the eclipse/dropins directory. You may get a prompt regarding file replacement. Select All.</li>
	<li>Restart eclipse with the &#45;clean option.</li>
</ol>


<h1><a name="HowtoinstallGeronimoEclipsePluginv2.1.5-VerifyGEPinstallation"></a>Verify GEP installation</h1>

<ol>
	<li>Select Help-&gt;About Eclipse Platform.</li>
</ol>



<p> <span class="image-wrap" style=""><img src="/confluence/download/attachments/96518/about.png?version=1&amp;modificationDate=1272357651119" height="213" width="414" style="border: 1px solid black" /></span></p>


<ol>
	<li>You can see a <b>G</b> icon in the <b>About Eclipse Platform</b>. This confirms the successful installation of GEP. Click the icon.</li>
</ol>



<p> <span class="image-wrap" style=""><img src="/confluence/download/attachments/96518/Screenshot-About+Eclipse+.png?version=1&amp;modificationDate=1272357680375" height="225" width="347" style="border: 1px solid black" /></span></p>


<ol>
	<li>On the next screen you can view details&#45; License, Plug-in-Details and set the Columns of the table being displayed.</li>
</ol>



<p> <span class="image-wrap" style=""><img src="/confluence/download/attachments/96518/Screenshot-About+Eclipse+Features+.png?version=2&amp;modificationDate=1272366284661" height="597" width="519" style="border: 1px solid black" /></span></p>

<h1><a name="HowtoinstallGeronimoEclipsePluginv2.1.5-UninstallingGEP"></a>Uninstalling GEP</h1>

<p>GEP may be uninstalled in a similar manner in which it was installed.</p>
<div class='panelMacro'><table class='noteMacro'><colgroup><col width='24'><col></colgroup><tr><td valign='top'><img src="/confluence/images/icons/emoticons/warning.gif" width="16" height="16" align="absmiddle" alt="" border="0"></td><td>Uninstall does not work well on Ganymede and Galileo, especially for GEP. It will uninstall GEP, but then you can't reinstall it, as it doesn't really get uninstalled. The only way to reinstall GEP in Ganymede is to reinstall Ganymede itself&#33; It's the same for Galileo. See <a href="https://bugs.eclipse.org/bugs/show_bug.cgi?id=244935" class="external-link" rel="nofollow">Eclipse Bugzilla 244935</a> for details, and hopefully a fix soon&#33;</td></tr></table></div>
<p><br class="atl-forced-newline" /></p>
<ol>
	<li>Select <b>Geronimo V2.1 Server Adapter</b> v2.1.5 adapter and select Next.
<br class="atl-forced-newline" />
<br class="atl-forced-newline" />  <span class="image-wrap" style=""><img src="/confluence/download/attachments/96518/Screenshot-Install+New+Extension+-1.png?version=1&amp;modificationDate=1272360775365" height="461" width="506" style="border: 1px solid black" /></span><br class="atl-forced-newline" />
<br class="atl-forced-newline" />
<br class="atl-forced-newline" />
<br class="atl-forced-newline" /></li>
	<li>Accept the license agreement and select Finish.
<br class="atl-forced-newline" />
<br class="atl-forced-newline" />
<br class="atl-forced-newline" />  <span class="image-wrap" style=""><img src="/confluence/download/attachments/96518/figure4.png?version=1&amp;modificationDate=1220551768000" style="border: 0px solid black" /></span><br class="atl-forced-newline" />
<br class="atl-forced-newline" />
<br class="atl-forced-newline" /></li>
	<li>Next screen will ask for confirmation. Select Ok. Once done Geronimo V2.1.5 server adapter will be downloaded and installed.
<br class="atl-forced-newline" />
<br class="atl-forced-newline" />
<br class="atl-forced-newline" />  <span class="image-wrap" style=""><img src="/confluence/download/attachments/96518/Screenshot-Install+-1.png?version=2&amp;modificationDate=1272362173537" height="281" width="359" style="border: 1px solid black" /></span></li>
</ol>


<p><br class="atl-forced-newline" />
<br class="atl-forced-newline" />
<br class="atl-forced-newline" /></p>
<ol>
	<li>Once the adapter is installed you will be prompted to restart the server. Select Yes.
<br class="atl-forced-newline" />
<br class="atl-forced-newline" />
<br class="atl-forced-newline" />  <span class="image-wrap" style=""><img src="/confluence/download/attachments/96518/figure6.png?version=1&amp;modificationDate=1220551768000" style="border: 0px solid black" /></span><br class="atl-forced-newline" />
<br class="atl-forced-newline" />
<br class="atl-forced-newline" /></li>
</ol>


<h1><a name="HowtoinstallGeronimoEclipsePluginv2.1.5-InstallingGEPusingEclipseupdatemanager"></a>Installing GEP using Eclipse update manager</h1>

<p><img class="emoticon" src="/confluence/images/icons/emoticons/star_yellow.gif" height="16" width="16" align="absmiddle" alt="" border="0"/> A video desktop demonstration of <a href="http://cwiki.apache.org/GMOxDOC22/video-of-installing-gep-with-eclipse-update-manager.html" class="external-link" rel="nofollow">Installing the Apache Geronimo Eclipse Plugin with the Eclipse Update Manager</a> is available.</p>
<ol>
	<li>Once you have all the prerequisites installed. Launch Eclipse from &lt;Eclipse_Home&gt;/eclipse.</li>
	<li>By default Eclipse will be launched with Java EE perspective.</li>
	<li>Select <b>Help-&gt;Software Updates..</b> from the menu.
<br class="atl-forced-newline" />
<br class="atl-forced-newline" />
<br class="atl-forced-newline" />  <span class="image-wrap" style=""><img src="/confluence/download/attachments/96518/updateManager.png?version=1&amp;modificationDate=1272356740152" height="242" width="475" style="border: 1px solid black" /></span><br class="atl-forced-newline" />
<br class="atl-forced-newline" />
<br class="atl-forced-newline" /></li>
	<li>On the next screen select <b>Available Software</b> tab. Select <b>Add Site</b>.<br/>
<span class="image-wrap" style=""><img src="/confluence/download/attachments/96518/Screenshot-Install+.png?version=2&amp;modificationDate=1272362352446" height="446" width="459" style="border: 1px solid black" /></span><br class="atl-forced-newline" />
<br class="atl-forced-newline" />
<br class="atl-forced-newline" /></li>
	<li>Copy and paste the following site to <b>Add Site</b> window and Select <b>Ok</b>.
<br class="atl-forced-newline" />
<br class="atl-forced-newline" />
<br class="atl-forced-newline" />
<div class="code panel" style="border-width: 1px;"><div class="codeContent panelContent">
<pre class="code-html">http://apache.org/dist/geronimo/eclipse/updates/
</pre>
</div></div>
<p><span class="image-wrap" style=""><img src="/confluence/download/attachments/96518/Screenshot-Add+Site+.png?version=1&amp;modificationDate=1272357251051" height="130" width="331" style="border: 1px solid black" /></span><br class="atl-forced-newline" />
<br class="atl-forced-newline" />
<br class="atl-forced-newline" /></p></li>
	<li>Expand <a href="http://apache.org/dist/geronimo/eclipse/updates/" class="external-link" rel="nofollow">http://apache.org/dist/geronimo/eclipse/updates/</a> and Select <b>Geronimo v2.1.5 Server Adapter</b> v2.1.5.
<br class="atl-forced-newline" />
<br class="atl-forced-newline" />
<br class="atl-forced-newline" />  <span class="image-wrap" style=""><img src="/confluence/download/attachments/96518/Screenshot-Install+-5.png?version=1&amp;modificationDate=1272362240885" height="420" width="433" style="border: 1px solid black" /></span><br class="atl-forced-newline" />
<br class="atl-forced-newline" />
<br class="atl-forced-newline" /></li>
	<li>Once done you have to wait a few seconds while Eclipse resolves dependencies.
<br class="atl-forced-newline" />
<br class="atl-forced-newline" />
<br class="atl-forced-newline" /></li>
	<li>Once done, the <b>Install</b> window will pop up. Select <b>Next</b></li>
</ol>


<p><span class="image-wrap" style=""><img src="/confluence/download/attachments/96518/Screenshot-Install+.png?version=2&amp;modificationDate=1272362352446" height="428" width="441" style="border: 1px solid black" /></span></p>
<ol>
	<li>Accept the license and Select <b>Finish</b>.
<br class="atl-forced-newline" />
<br class="atl-forced-newline" />  <span class="image-wrap" style=""><img src="/confluence/download/attachments/96518/Screenshot-Install+-2.png?version=2&amp;modificationDate=1272366152626" height="403" width="416" style="border: 1px solid black" /></span>
<br class="atl-forced-newline" />
<br class="atl-forced-newline" />
<br class="atl-forced-newline" /></li>
	<li>Installation will start and will take time few minutes. A progress window will display the jars being installed.
<br class="atl-forced-newline" />
<br class="atl-forced-newline" />
<br class="atl-forced-newline" />  <span class="image-wrap" style=""><img src="/confluence/download/attachments/96518/figure14.png?version=1&amp;modificationDate=1220551683000" style="border: 0px solid black" /></span><br class="atl-forced-newline" />
<br class="atl-forced-newline" />
<br class="atl-forced-newline" /></li>
	<li>Once GEP is installed you will be prompted to restart. Select yes.<br/>
<span class="image-wrap" style=""><img src="/confluence/download/attachments/96518/figure15.png?version=1&amp;modificationDate=1220551683000" style="border: 0px solid black" /></span></li>
</ol>


<h1><a name="HowtoinstallGeronimoEclipsePluginv2.1.5-ManualInstallation"></a>Manual Installation</h1>

<h2><a name="HowtoinstallGeronimoEclipsePluginv2.1.5-Usingupdatesite.zip"></a>Using updatesite.zip</h2>

<ol>
	<li>Download the package <b>geronimo-eclipse-plugin-2.1.5-updatesite.zip</b> from <a href="http://apache.org/dist/geronimo/eclipse/2.1.5/" class="external-link" rel="nofollow">http://apache.org/dist/geronimo/eclipse/2.1.5/</a>.</li>
	<li>Once done, unzip the package to a directory on your machine.</li>
	<li>Follow the instructions in <a href="#HowtoinstallGeronimoEclipsePluginv2.1.5-InstallingGEPusingEclipseupdatemanager">Installing GEP using Eclipse update manager</a> section.  When adding a an update site in step 5, choose <b>Local</b>, and navigate to the directory where you unzipped the updatesite.zip package in the previous step.</li>
</ol>


<h2><a name="HowtoinstallGeronimoEclipsePluginv2.1.5-Usingdeployable.zip"></a>Using deployable.zip</h2>

<ol>
	<li>Download the package <b>geronimo-eclipse-plugin-2.1.5-deployable.zip</b> from <a href="http://apache.org/dist/geronimo/eclipse/2.1.5/" class="external-link" rel="nofollow">http://apache.org/dist/geronimo/eclipse/2.1.5/</a>.</li>
	<li>Once done, unzip the package to your eclipse installation directory.  For Ganymede, unzip to the eclipse/dropins directory.  You may get a prompt regarding file replacement. Select All.</li>
	<li>Restart eclipse with the &#45;clean option.</li>
</ol>


<h1><a name="HowtoinstallGeronimoEclipsePluginv2.1.5-VerifyGEPinstallation"></a>Verify GEP installation</h1>

<ol>
	<li>Select Help-&gt;About Eclipse Platform.
<br class="atl-forced-newline" />
<br class="atl-forced-newline" />
<br class="atl-forced-newline" />  <span class="image-wrap" style=""><img src="/confluence/download/attachments/96518/about.png?version=1&amp;modificationDate=1272357651119" height="213" width="414" style="border: 1px solid black" /></span><br class="atl-forced-newline" />
<br class="atl-forced-newline" />
<br class="atl-forced-newline" /></li>
	<li>You can see a <b>G</b> icon in the <b>About Eclipse Platform</b>. This confirms the successful installation of GEP. Click the icon.
<br class="atl-forced-newline" />
<br class="atl-forced-newline" />
<br class="atl-forced-newline" />  <span class="image-wrap" style=""><img src="/confluence/download/attachments/96518/Screenshot-About+Eclipse+.png?version=1&amp;modificationDate=1272357680375" height="225" width="347" style="border: 1px solid black" /></span><br class="atl-forced-newline" />
<br class="atl-forced-newline" />
<br class="atl-forced-newline" /></li>
	<li>On the next screen you can view details&#45; License, Plug-in-Details and set the Columns of the table being displayed.
<br class="atl-forced-newline" />
<br class="atl-forced-newline" /> <span class="image-wrap" style=""><img src="/confluence/download/attachments/96518/Screenshot-About+Eclipse+Features+.png?version=2&amp;modificationDate=1272366284661" height="492" width="428" style="border: 1px solid black" /></span>
<br class="atl-forced-newline" /></li>
</ol>


<h1><a name="HowtoinstallGeronimoEclipsePluginv2.1.5-UninstallingGEP"></a>Uninstalling GEP</h1>

<p>GEP may be uninstalled in a similar manner in which it was installed.</p>
<div class='panelMacro'><table class='noteMacro'><colgroup><col width='24'><col></colgroup><tr><td valign='top'><img src="/confluence/images/icons/emoticons/warning.gif" width="16" height="16" align="absmiddle" alt="" border="0"></td><td>Uninstall does not work well on Ganymede and Galileo, especially for GEP.  It will uninstall GEP, but then you can't reinstall it, as it doesn't really get uninstalled.  The only way to reinstall GEP in Ganymede is to reinstall Ganymede itself&#33; It's the same for Galileo. See <a href="https://bugs.eclipse.org/bugs/show_bug.cgi?id=244935" class="external-link" rel="nofollow">Eclipse Bugzilla 244935</a> for details, and hopefully a fix soon&#33;</td></tr></table></div>
    </div>
        <div id="commentsSection" class="wiki-content pageSection">
        <div style="float: right;">
            <a href="http://cwiki.apache.org/confluence/users/viewnotifications.action" class="grey">Change Notification Preferences</a>
        </div>
        <a href="http://cwiki.apache.org/confluence/display/GMOxDOC21/How+to+install+Geronimo+Eclipse+Plugin+v2.1.5">View Online</a>
        |
        <a href="http://cwiki.apache.org/confluence/pages/diffpagesbyversion.action?pageId=96518&revisedVersion=31&originalVersion=30">View Changes</a>
                |
        <a href="http://cwiki.apache.org/confluence/display/GMOxDOC21/How+to+install+Geronimo+Eclipse+Plugin+v2.1.5?showComments=true&amp;showCommentArea=true#addcomment">Add Comment</a>
            </div>
</div>
</div>
</div>
</div>
</body>
</html>

Mime
View raw message